Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163360 - Bad: Cannot host web services
Summary: Bad: Cannot host web services
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-15 14:19 UTC by Raju Joseph
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-17 21:10:09 UTC


Attachments (Terms of Use)

Description Raju Joseph 2005-07-15 14:19:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
httpd doesn't start after changing DocumentRoot to any other directory other than the default.

Version-Release number of selected component (if applicable):
 2.6.11-1.1369_FC4

How reproducible:
Always

Steps to Reproduce:
1.edit /etc/httpd/conf/httpd.conf
2.change DocumentRoot "/var/www/html" to DocumentRoot "/net/html"
3.save and start /etc/init.d httpd start


  

Actual Results:  Starting httpd:                                            [FAILED]

Expected Results:  Starting httpd:                                            [OK]

Additional info:

This is not ok, as the default location is vulnerable to hack attacks.

Comment 1 John (J5) Palmieri 2005-07-15 14:34:06 UTC
I am assuming you want httpd and not the HelixPlayer

Comment 2 Raju Joseph 2005-07-15 14:37:40 UTC
Yes that is true, I want httpd.

Comment 3 Joe Orton 2005-07-17 21:10:09 UTC
This is due to the SELinux policy, which prevents httpd from accessing
directories without an acceptable security context.

You can fix the security context using the chcon command, for example:

 # chcon -R -t httpd_sys_content_t /path/to/docroot

For further information on SELinux/Apache integration in Fedora Core,
please see: http://fedora.redhat.com/docs/selinux-apache-fc3/

For general information on SELinux in Fedora Core, please see:
http://fedora.redhat.com/docs/selinux-faq-fc3/



Note You need to log in before you can comment on or make changes to this bug.